PATCH /admin/api/route-members/{id}
curl --request PATCH \
--url https://api.example.com/admin/api/route-members/{id} \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"enabled": null,
"providerId": null,
"routeId": null,
"tier": null,
"upstreamModel": null,
"weight": null
}
'import requests
url = "https://api.example.com/admin/api/route-members/{id}"
payload = {
"enabled": None,
"providerId": None,
"routeId": None,
"tier": None,
"upstreamModel": None,
"weight": None
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: null,
providerId: null,
routeId: null,
tier: null,
upstreamModel: null,
weight: null
})
};
fetch('https://api.example.com/admin/api/route-members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/route-members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => null,
'providerId' => null,
'routeId' => null,
'tier' => null,
'upstreamModel' => null,
'weight' => null
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/route-members/{id}"
payload := strings.NewReader("{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/route-members/{id}")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/route-members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"id": "<string>",
"providerId": "<string>",
"routeId": "<string>",
"tier": 1,
"upstreamModel": "<string>",
"weight": 1
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
PATCH /admin/api/route-members/{id}
PATCH
/
admin
/
api
/
route-members
/
{id}
PATCH /admin/api/route-members/{id}
curl --request PATCH \
--url https://api.example.com/admin/api/route-members/{id} \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"enabled": null,
"providerId": null,
"routeId": null,
"tier": null,
"upstreamModel": null,
"weight": null
}
'import requests
url = "https://api.example.com/admin/api/route-members/{id}"
payload = {
"enabled": None,
"providerId": None,
"routeId": None,
"tier": None,
"upstreamModel": None,
"weight": None
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: null,
providerId: null,
routeId: null,
tier: null,
upstreamModel: null,
weight: null
})
};
fetch('https://api.example.com/admin/api/route-members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/route-members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => null,
'providerId' => null,
'routeId' => null,
'tier' => null,
'upstreamModel' => null,
'weight' => null
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/route-members/{id}"
payload := strings.NewReader("{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/route-members/{id}")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/route-members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": null,\n \"providerId\": null,\n \"routeId\": null,\n \"tier\": null,\n \"upstreamModel\": null,\n \"weight\": null\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"id": "<string>",
"providerId": "<string>",
"routeId": "<string>",
"tier": 1,
"upstreamModel": "<string>",
"weight": 1
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.
路径参数
请求体
application/json
响应
Success
Lower tiers are preferred; later tiers are the fallback.
必填范围:
x >= 0The upstream model this member sends, not a catalog reference.
Positive relative weight within a tier.
必填范围:
x >= 0